mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
global-client-fingerprint: chrome

dns:
  enable: true
  ipv6: true
  enhanced-mode: fake-ip
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query

proxies:
  - name: "weixin.bupt.ml@gmail.com-vless-vision"
    type: vless
    server: nas.arnowei.cloud
    port: 26443
    uuid: 2a5a46d8-cdd8-46d4-a817-f85c13d75533
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: nas.arnowei.cloud
    client-fingerprint: chrome

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - "weixin.bupt.ml@gmail.com-vless-vision"
      - DIRECT
  - name: AUTO
    type: url-test
    url: https://cp.cloudflare.com/generate_204
    interval: 300
    proxies:
      - "weixin.bupt.ml@gmail.com-vless-vision"
  - name: FINAL
    type: select
    proxies:
      - PROXY
      - AUTO
      - DIRECT

rules:
  - MATCH,FINAL
